Skip to main content
Data Protection/Backup Management Interfaces
PUTBackup Management InterfacesSince 3.0.0SynchronousAuth Required

Sync to DS

Sync to DS

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the resource. Uniquely identifies the resource

Body Fields

  • syncdatabasebackupfromimagestorebackupstorageObjectRequired

    syncdatabasebackupfromimagestorebackupstorage request body object.

    • srcBackupStorageUuidStringRequired

      No description provided.

    • dstBackupStorageUuidStringRequired

      No description provided.

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null on success. For details, seeerror

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root error

  • inventoryDatabaseBackupInventoryRequired

    For details, seeinventory

    • uuidStringRequired

      The UUID of the resource. Uniquely identifies the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Detailed description of the resource

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • sizeLongRequired

      返回记录数。

    • metadataStringRequired

      附加元数据。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • backupStorageRefsListRequired

      For details, seebackupStorageRefs

      • databaseBackupUuidStringRequired

        数据库备份UUID。

      • backupStorageUuidStringRequired

        Image Storage UUID

      • installPathStringRequired

        安装路径。

      • exportUrlStringRequired

        导出地址。

      • statusStringRequired

        状态信息。

      • createDateTimestampRequired

        Creation time

      • lastOpDateTimestampRequired

        Last modification time

Endpoint

PUT/zstack/v1/database-backups/{uuid}/actions

/zstack/v1/database-backups/{uuid}/actions

Operation ID

SyncDatabaseBackupFromImageStoreBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/database-backups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"syncdatabasebackupfromimagestorebackupstorage":{"srcBackupStorageUuid":"<srcBackupStorageUuid>","dstBackupStorageUuid":"<dstBackupStorageUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "c04683f1c53039d1bb0b0f0b601b5a5b", "name": "Backup-1", "description": "database backup", "size": 1048576.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history